package kr.co.hanwha.hifive.adapter.model;

import kr.co.hanwha.hifive.data.model.TaskListData;
import kr.co.hanwha.hifive.enums.ViewHolderTaskType;

/**
 * Created by sanghoonkwon on 2018. 1. 31..
 */

public class TaskListViewHolderData {
    ViewHolderTaskType type;
    TaskListData data;
    String title;
    int intValue;

    public TaskListViewHolderData(ViewHolderTaskType type, TaskListData data) {
        this.type = type;
        this.data = data;
    }

    public TaskListViewHolderData(ViewHolderTaskType type, String title, int intValue) {
        this.type = type;
        this.title = title;
        this.intValue = intValue;
    }

    public ViewHolderTaskType getType() {
        return type;
    }

    public TaskListData getData() {
        return data;
    }

    public String getTitle() {
        return title;
    }

    public int getIntValue() {
        return intValue;
    }
}
